%{?nodejs_find_provides_and_requires}

%global packagename insert-module-globals
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 6.6.3
Release: 1%{?dist}.3
Summary: Insert implicit module globals into a module-deps stream
License: MIT
URL: https://github.com/substack/insert-module-globals
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(JSONStream) >= 1.0.3
BuildRequires: npm(JSONStream) < 2.0.0
BuildRequires: npm(combine-source-map) >= 0.6.1
BuildRequires: npm(concat-stream) >= 1.4.1
BuildRequires: npm(concat-stream) < 2.0.0
BuildRequires: npm(is-buffer) >= 1.1.0
BuildRequires: npm(is-buffer) < 2.0.0
BuildRequires: npm(lexical-scope) >= 1.2.0
BuildRequires: npm(lexical-scope) < 2.0.0
BuildRequires: npm(process) >= 0.11.0
BuildRequires: npm(process) < 0.12.0
BuildRequires: npm(through2) >= 1.0.0
BuildRequires: npm(xtend) >= 4.0.0
BuildRequires: npm(xtend) < 5.0.0
%if 0%{?enable_tests}
BuildRequires: npm(browser-pack) >= 5.0.0
BuildRequires: npm(buffer) >= 3.0.0
BuildRequires: npm(convert-source-map) >= 1.1.0
BuildRequires: npm(convert-source-map) < 2.0.0
BuildRequires: npm(module-deps) >= 3.7.11
BuildRequires: npm(module-deps) < 4.0.0
BuildRequires: npm(tape) >= 4.2.0
BuildRequires: npm(tape) < 5.0.0
%endif

%description
Insert implicit module globals
(__filename, __dirname, process, global, and Buffer)
as a browserify-style transform.


%prep
%setup -q -n package
%nodejs_fixdep combine-source-map '>=0.6.1'
%nodejs_fixdep concat-stream '^1.4.1'
%nodejs_fixdep through2 '>=1.0.0'
%nodejs_fixdep --dev browser-pack '>=5.0.0'
%nodejs_fixdep --dev buffer '>=3.0.0'
%nodejs_fixdep --dev convert-source-map '^1.1.0'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js bin \
        %{buildroot}%{nodejs_sitelib}/%{packagename}
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{packagename}/bin/cmd.js \
       %{buildroot}%{_bindir}/insert-module-globals

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tape test/*.js
%endif


%files
%license LICENSE
%doc *.markdown example
%{nodejs_sitelib}/%{packagename}
%{_bindir}/insert-module-globals

%changelog
* Mon Sep 26 2016 Oleg Girko <ol@infoserver.lv> - 6.6.3-1
- Initial package.
